// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add interactive elements
document.querySelectorAll('.command, .challenge').forEach(item => {
  item.addEventListener('mouseenter', () => {
    item.style.boxShadow = '0 4px 8px rgba(0,0,0,0.2)';
  });
  item.addEventListener('mouseleave', () => {
    item.style.boxShadow = '0 2px 4px rgba(0,0,0,0.1)';
  });
});